/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.swt.animation;

public class LinearPropertyAnimation extends PropertyAnimation {
	double acceleration, deceleration;

public double getAccelerationRatio() {
	checkAnimation ();
	return acceleration;
}

public double getDecelerationRatio() {
	checkAnimation ();
	return deceleration;
}

public void setAccelerationRatio(double ratio) {
	checkAnimation ();
	this.acceleration = ratio;
}

public void setDecelerationRatio(double ratio) {
	checkAnimation ();
	deceleration = ratio;
}

}
